Name:          bluez-firmware
Version:       1.2.20240226git
Release:       1mamba
Summary:       Firmware for the Bluetooth wireless library for Linux
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/RPi-Distro/bluez-firmware
Source:        https://github.com/RPi-Distro/bluez-firmware.git/master/bluez-firmware-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Firmware for the Bluetooth wireless library for Linux.

%prep
%setup -q

%build
%configure --libdir=/lib
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# Rpi bluetooth firmware(s)
for f in BCM43430A1.hcd BCM43430B0.hcd BCM4345C0.hcd BCM4345C5.hcd; do
   install -D -m0644 broadcom/$f %{buildroot}/lib/firmware/brcm/$f
done
install -D -m0644 broadcom/BCM-LEGAL.txt %{buildroot}/lib/firmware/brcm/BCM-LEGAL.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
/lib/firmware/BCM-LEGAL.txt
/lib/firmware/BCM2033-FW.bin
/lib/firmware/BCM2033-MD.hex
/lib/firmware/STLC2500_R4_*
/lib/firmware/brcm/BCM-LEGAL.txt
/lib/firmware/brcm/BCM43430A1.hcd
/lib/firmware/brcm/BCM43430B0.hcd
/lib/firmware/brcm/BCM4345C0.hcd
/lib/firmware/brcm/BCM4345C5.hcd
%doc AUTHORS COPYING

%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.20240226git-1mamba
- update to 1.2.20240226git
- update URL (closes #1 )

* Fri Apr 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.20210423git-1mamba
- update to 1.2.20210423git
- add Rpi bluetooth firmware files from RPi-distro repository

* Sun Aug 18 2013 Automatic Build System <autodist@mambasoft.it> 1.2-2mamba
- automatic rebuild by autodist

* Mon Apr 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- package created by autospec
